package com.mortals.xhx.module.pay.service;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.pay.model.PayRequstEntity;
import com.mortals.xhx.module.pay.dao.PayRequstDao;
import com.mortals.xhx.module.record.model.PrintWaitQueueEntity;

/**
* PayRequstService
*
* 支付请求 service接口
*
* @author zxfei
* @date 2024-12-12
*/
public interface PayRequstService extends ICRUDService<PayRequstEntity,Long>{

    PayRequstDao getDao();

    /**
     * 生成支付二维码
     * @param printWaitQueueEntity
     * @return
     */
    PayRequstEntity generatePayQrcode(PrintWaitQueueEntity printWaitQueueEntity,String ip);

    /**
     * 支付状态查询
     * @param printWaitQueueEntity
     * @return
     */
    String qrcodePaystatus(PrintWaitQueueEntity printWaitQueueEntity);
}